## zsh-beta 4.3.10-dev-1+20100720

=== debian/changelog ===
zsh-beta (4.3.10-dev-1+20100720-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <schizo@debian.org>  Sat, 24 Jul 2010 08:08:58 -0400

zsh-beta (4.3.10-dev-1+20100630-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <schizo@debian.org>  Wed, 30 Jun 2010 10:09:42 -0400

zsh-beta (4.3.10-dev-1+20100609-1) unstable; urgency=medium

  * Update to HEAD.
    - Fixes broken feh completion.  closes: #585445.

 -- Clint Adams <schizo@debian.org>  Thu, 10 Jun 2010 11:13:53 -0400

zsh-beta (4.3.10-dev-1+20100603-1) unstable; urgency=low

  * Update to HEAD.
  * Fix HELPDIR before compiling run-help.  closes: #530366.

 -- Clint Adams <schizo@debian.org>  Fri, 04 Jun 2010 16:27:13 -0400

zsh-beta (4.3.10-dev-1+20100602-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <schizo@debian.org>  Wed, 02 Jun 2010 12:42:58 -0400

zsh-beta (4.3.10-dev-1+20100514-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <schizo@debian.org>  Sat, 22 May 2010 12:44:09 -0400

zsh-beta (4.3.10-dev-1+20100505-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <schizo@debian.org>  Thu, 06 May 2010 22:03:33 -0400

zsh-beta (4.3.10-dev-1+20100425-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <schizo@debian.org>  Sun, 25 Apr 2010 18:51:35 -0400

zsh-beta (4.3.10-dev-1+20100412-1) unstable; urgency=medium

  * Update to HEAD.

 -- Clint Adams <schizo@debian.org>  Mon, 12 Apr 2010 09:31:43 -0400

zsh-beta (4.3.10-dev-1+20100409-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <schizo@debian.org>  Fri, 09 Apr 2010 13:07:45 -0400

zsh-beta (4.3.10-dev-1+20100330-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <schizo@debian.org>  Mon, 05 Apr 2010 19:07:06 -0400

zsh-beta (4.3.10-dev-1+20100311-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <schizo@debian.org>  Thu, 11 Mar 2010 20:56:54 -0500

zsh-beta (4.3.10-dev-1+20100227-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <schizo@debian.org>  Fri, 26 Feb 2010 23:23:25 -0500

zsh-beta (4.3.10-dev-1+20100216-1) unstable; urgency=low

  * Update to HEAD.
  * Bump to Standards-Version 3.8.4.

 -- Clint Adams <schizo@debian.org>  Tue, 16 Feb 2010 10:42:11 -0500

zsh-beta (4.3.10-dev-1+20100202-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <schizo@debian.org>  Tue, 02 Feb 2010 11:40:59 -0500

zsh-beta (4.3.10-dev-1+20100122-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <schizo@debian.org>  Sat, 23 Jan 2010 01:38:39 -0500

zsh-beta (4.3.10-dev-1+20100107-1) unstable; urgency=low

  * Update to HEAD.
  * Fix ionice -c completion.  closes: #563903.
  * Fix ssh -S completion.  closes: #563983.

 -- Clint Adams <schizo@debian.org>  Thu, 07 Jan 2010 09:11:33 -0500

zsh-beta (4.3.10-dev-1+20091228-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <schizo@debian.org>  Wed, 30 Dec 2009 10:19:35 -0500

zsh-beta (4.3.10-dev-1+20091217-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <schizo@debian.org>  Thu, 17 Dec 2009 11:34:24 -0500

zsh-beta (4.3.10-dev-1+20091203-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <schizo@debian.org>  Fri, 04 Dec 2009 12:40:16 -0500

zsh-beta (4.3.10-dev-1+20091124-1) unstable; urgency=low

  * Update to something remarkably behind HEAD.

 -- Clint Adams <schizo@debian.org>  Thu, 03 Dec 2009 23:53:19 -0500

zsh-beta (4.3.10-dev-1+20091122-1) unstable; urgency=low

  * Update to HEAD.
  * Switch to 3.0 (quilt) source format.

 -- Clint Adams <schizo@debian.org>  Mon, 23 Nov 2009 03:53:24 -0500

zsh-beta (4.3.10-dev-1+20091111-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <schizo@debian.org>  Wed, 11 Nov 2009 19:34:23 -0500

zsh-beta (4.3.10-dev-1+20091104-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <schizo@debian.org>  Wed, 04 Nov 2009 22:32:26 -0500

zsh-beta (4.3.10-dev-1+20091024-1) unstable; urgency=medium

  * Update to HEAD.

 -- Clint Adams <schizo@debian.org>  Sat, 24 Oct 2009 00:50:51 -0400

zsh-beta (4.3.10-dev-1+20091018-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <schizo@debian.org>  Mon, 19 Oct 2009 08:36:29 -0700

zsh-beta (4.3.10-dev-1+20091004-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <schizo@debian.org>  Thu, 08 Oct 2009 17:05:32 -0400

zsh-beta (4.3.10-dev-1+20090922-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <schizo@debian.org>  Sun, 27 Sep 2009 22:04:41 -0400

zsh-beta (4.3.10-dev-1+20090916-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <schizo@debian.org>  Thu, 17 Sep 2009 16:31:49 -0400

zsh-beta (4.3.10-dev-1+20090907-1) unstable; urgency=low

  * Update to HEAD.
  * Have zsh-beta-doc depend on dpkg (>= 1.15.4) | install-info

 -- Clint Adams <schizo@debian.org>  Mon, 07 Sep 2009 18:03:09 -0400

zsh-beta (4.3.10-dev-1+20090902-1) unstable; urgency=low

  * Update to HEAD.
    - Fixes lexer breakage after certain Ctrl-C's.  closes: #537283.
  * Bump to Standards-Version 3.8.3.

 -- Clint Adams <schizo@debian.org>  Wed, 02 Sep 2009 08:42:48 -0700

zsh-beta (4.3.10-dev-1+20090805-1) unstable; urgency=low

  * Update to HEAD.
  * Fix breakage on Debian GNU/kFreeBSD.  closes: #536602.

 -- Clint Adams <schizo@debian.org>  Tue, 04 Aug 2009 20:56:19 -0400

zsh-beta (4.3.10-dev-1+20090730-1) unstable; urgency=low

  * Update to HEAD.
  * Remove zsh-beta-doc's prerm and postinst.

 -- Clint Adams <schizo@debian.org>  Fri, 31 Jul 2009 23:56:58 -0400

zsh-beta (4.3.10-dev-1+20090717-1) unstable; urgency=low

  * Update to HEAD.
  * Bump to Standards-Version 3.8.2.

 -- Clint Adams <schizo@debian.org>  Sat, 18 Jul 2009 09:33:13 -0400

zsh-beta (4.3.10-dev-1+20090710-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <schizo@debian.org>  Fri, 10 Jul 2009 20:03:38 -0400

zsh-beta (4.3.10-dev-1+20090626-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <schizo@debian.org>  Sat, 27 Jun 2009 13:47:18 -0400


