=== debian/control ===
Source: zsh-beta
Section: shells
Priority: optional
Build-Depends: yodl, texinfo, groff-base, bsdmainutils, libncursesw5-dev, texi2html (>= 1.76-2), libcap-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libpcre3-dev, libgdbm-dev
Maintainer: Clint Adams <schizo@debian.org>
Standards-Version: 3.8.4

Package: zsh-beta
Architecture: any
Section: shells
Depends: passwd (>= 1:4.0.3-10), ${shlibs:Depends}
Recommends: ${shlibs:Recommends}
Suggests: zsh-beta-doc
Conflicts: zsh (<< 4.0.4-30), zsh30 (<< 3.0.8-6)
Description: A shell with lots of features (dev tree)
 Zsh is a UNIX command interpreter (shell) usable as an
 interactive login shell and as a shell script command
 processor. Of the standard shells, zsh most closely resembles
 ksh but includes many enhancements. Zsh has command-line editing,
 built-in spelling correction, programmable command completion,
 shell functions (with autoloading), a history mechanism, and a
 host of other features.
 .
 This is less stable than the regular 'zsh' package.

Package: zsh-beta-doc
Architecture: all
Section: doc
Depends: dpkg (>= 1.15.4) | install-info
Conflicts: zsh (<< 3.1.6.pws9-1)
Description: zsh beta documentation - info/HTML format
 Zsh is a UNIX command interpreter (shell) usable as an
 interactive login shell and as a shell script command
 processor. Of the standard shells, zsh most closely resembles
 ksh but includes many enhancements. Zsh has command-line editing,
 built-in spelling correction, programmable command completion,
 shell functions (with autoloading), a history mechanism, and a
 host of other features.
 .
 This contains the documentation in GNU info and HTML formats.

Package: zsh-beta-static
Architecture: none
Section: shells
Priority: optional
Depends: ${shlibs:Depends}
Recommends: zsh-beta
Conflicts: zsh (<< 3.1.9-1)
Description: A shell with lots of features (dev tree - static link)
 Zsh is a UNIX command interpreter (shell) usable as an
 interactive login shell and as a shell script command
 processor. Of the standard shells, zsh most closely resembles
 ksh but includes many enhancements. Zsh has command-line editing,
 built-in spelling correction, programmable command completion,
 shell functions (with autoloading), a history mechanism, and a
 host of other features.
 .
 This is the statically compiled version of the zsh-beta package.
