## zsh-beta 4.3.10-dev-2+20101022

=== debian/changelog ===
zsh-beta (4.3.10-dev-2+20101022-1ubuntu1) natty; urgency=low

  * Manual merge from debian unstable (due to MoM not being updated).
    Remaining changes:
    - Add "add-shell /bin/zsh" because zsh-beta is already registered
      as an alternative to zsh, and this is needed to be able to have
      zsh-beta as the only installed zsh.
    - Don't set PATH in zshenv any more

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 01 Nov 2010 18:34:51 +0530

zsh-beta (4.3.10-dev-2+20101022-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <schizo@debian.org>  Sun, 24 Oct 2010 17:35:44 -0400

zsh-beta (4.3.10-dev-2+20100908-1ubuntu1) natty; urgency=low

  * Manual merge from debian unstable (due to MoM not being updated).
    Remaining changes:
    - Add "add-shell /bin/zsh" because zsh-beta is already registered
      as an alternative to zsh, and this is needed to be able to have
      zsh-beta as the only installed zsh.
    - Don't set PATH in zshenv any more
 
 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 17 Oct 2010 09:56:15 +0530

zsh-beta (4.3.10-dev-2+20100908-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <schizo@debian.org>  Thu, 09 Sep 2010 20:15:08 -0400

zsh-beta (4.3.10-dev-2+20100902-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <schizo@debian.org>  Fri, 03 Sep 2010 10:07:51 -0400

zsh-beta (4.3.10-dev-2+20100821-1) unstable; urgency=low

  * Update to HEAD.
  * Update to Standards-Version 3.9.1.

 -- Clint Adams <schizo@debian.org>  Sat, 21 Aug 2010 13:07:14 -0400

zsh-beta (4.3.10-dev-2+20100810-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <schizo@debian.org>  Tue, 10 Aug 2010 14:27:03 -0400

zsh-beta (4.3.10-dev-1+20100720-1ubuntu1) maverick; urgency=low

  * Manual merge from debian unstable (due to MoM not being updated)
    (LP: #592526). Remaining changes:
    - Add "add-shell /bin/zsh" because zsh-beta is already registered
      as an alternative to zsh, and this is needed to be able to have
      zsh-beta as the only installed zsh.
    - Don't set PATH in zshenv any more

 -- Bhavani Shankar <bhavi@ubuntu.com>  Tue, 27 Jul 2010 11:44:10 +0530

zsh-beta (4.3.10-dev-1+20091024-1ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes: LP: #477495
    - Add "add-shell /bin/zsh" because zsh-beta is already registered
      as an alternative to zsh, and this is needed to be able to have
      zsh-beta as the only installed zsh.
    - Don't set PATH in zshenv any more

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sat, 07 Nov 2009 20:15:19 +0530

zsh-beta (4.3.10-dev-1+20090717-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes: LP: #404571
    - Add "add-shell /bin/zsh" because zsh-beta is already registered
      as an alternative to zsh, and this is needed to be able to have
      zsh-beta as the only installed zsh.
    - Don't set PATH in zshenv any more

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sat, 25 Jul 2009 20:26:26 +0530

zsh-beta (4.3.10-dev-1+20090602-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes: LP: #374728
    - Add "add-shell /bin/zsh" because zsh-beta is already registered
      as an alternative to zsh, and this is needed to be able to have
      zsh-beta as the only installed zsh.
    - Don't set PATH in zshenv any more

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sun, 07 Jun 2009 11:06:16 +0530

zsh-beta (4.3.9-dev-3+20090425-1ubuntu1) karmic; urgency=low

  * Merge from debian unstable, remaining changes:
     - Add "add-shell /bin/zsh" because zsh-beta is already registered
       as an alternative to zsh, and this is needed to be able to have
       zsh-beta as the only installed zsh.
    - Don't set PATH in zshenv any more

 -- Lionel Porcheron <lionel@alveonet.org>  Tue, 28 Apr 2009 11:16:47 +0200

zsh-beta (4.3.9-dev-1+20090214-1ubuntu1) jaunty; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - Add "add-shell /bin/zsh" because zsh-beta is already registered
       as an alternative to zsh, and this is needed to be able to have
       zsh-beta as the only installed zsh.
    - Don't set PATH in zshenv any more

 -- Lionel Porcheron <lionel@alveonet.org>  Wed, 18 Feb 2009 22:14:17 +0100

zsh-beta (4.3.9-dev-1+20081218-1ubuntu1) jaunty; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - Add "add-shell /bin/zsh" because zsh-beta is already registered
       as an alternative to zsh, and this is needed to be able to have
       zsh-beta as the only installed zsh.
    - Don't set PATH in zshenv any more

 -- Lionel Porcheron <lionel@alveonet.org>  Mon, 29 Dec 2008 18:05:04 +0100

zsh-beta (4.3.9-dev-1+20081202-1ubuntu1) jaunty; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - Add "add-shell /bin/zsh" because zsh-beta is already registered
       as an alternative to zsh, and this is needed to be able to have
       zsh-beta as the only installed zsh.
    - Don't set PATH in zshenv any more

 -- Lionel Porcheron <lionel@alveonet.org>  Sun, 07 Dec 2008 23:14:12 +0100

zsh-beta (4.3.9-dev-0+20081115-1ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes: (LP: #298714)
    - Add "add-shell /bin/zsh" because zsh-beta is already registered
       as an alternative to zsh, and this is needed to be able to have
       zsh-beta as the only installed zsh.
    - Don't set PATH in zshenv any more

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sun, 16 Nov 2008 20:43:10 +0530

zsh-beta (4.3.6-dev-0+20080723-1ubuntu1) intrepid; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    -  Add "add-shell /bin/zsh" because zsh-beta is already registered
       as an alternative to zsh, and this is needed to be able to have
       zsh-beta as the only installed zsh.
    - Don't set PATH in zshenv any more
    - Update maintainer in field debian/control.


