## zsh-beta 4.3.11-dev-1+20110504

=== debian/changelog ===
zsh-beta (4.3.11-dev-1+20110504-1ubuntu1) oneiric; urgency=low

  * Manual merge from debian unstable (due to MoM not being updated).
    Remaining changes:
    - Add "add-shell /bin/zsh" because zsh-beta is already registered
      as an alternative to zsh, and this is needed to be able to have
      zsh-beta as the only installed zsh.
    - Don't set PATH in zshenv any more.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 16 May 2011 20:28:06 +0530

zsh-beta (4.3.11-dev-1+20110504-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <clint@debian.org>  Thu, 05 May 2011 19:35:40 -0400

zsh-beta (4.3.11-dev-1+20110421-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <clint@debian.org>  Thu, 21 Apr 2011 17:39:59 -0400

zsh-beta (4.3.11-dev-1+20110401-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <clint@debian.org>  Mon, 04 Apr 2011 22:57:11 -0400

zsh-beta (4.3.11-dev-1+20110321-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <clint@debian.org>  Thu, 24 Mar 2011 13:43:34 -0400

zsh-beta (4.3.11-dev-1+20110306-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <clint@debian.org>  Mon, 07 Mar 2011 13:15:00 -0500

zsh-beta (4.3.11-dev-1+20110215-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <clint@debian.org>  Wed, 16 Feb 2011 22:28:57 -0500

zsh-beta (4.3.11-dev-1+20110211-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <clint@debian.org>  Fri, 11 Feb 2011 14:24:51 -0500

zsh-beta (4.3.11-dev-1+20110124-1) unstable; urgency=low

  * Update to HEAD.
  * Drop yodl hack since it's handled upstream now.

 -- Clint Adams <clint@zsh.org>  Sun, 23 Jan 2011 20:35:50 -0500

zsh-beta (4.3.11-dev-1+20110116-1) unstable; urgency=low

  * Update to HEAD.
  * Pass -L to yodl since yodl 3 appears incompatible.

 -- Clint Adams <clint@zsh.org>  Sun, 16 Jan 2011 10:34:13 -0500

zsh-beta (4.3.11-dev-1+20101221-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <clint@zsh.org>  Fri, 24 Dec 2010 22:50:44 -0500

zsh-beta (4.3.10-dev-2+20101114-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <clint@zsh.org>  Sun, 14 Nov 2010 15:12:13 -0500

zsh-beta (4.3.10-dev-2+20101110-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <clint@zsh.org>  Thu, 11 Nov 2010 13:56:23 -0500
