=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: yodl, texinfo, groff-base, bsdmainutils, libncursesw5-dev, texi2html (>= 1.76-2), libcap-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libpcre3-dev, libgdbm-dev
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Clint Adams <schizo@debian.org>
+XSBC-Original-Maintainer: Clint Adams <clint@debian.org>
 Standards-Version: 3.9.1
 
 Package: zsh-beta
