## zsh-beta 4.3.12-dev-1+20110925

=== debian/changelog ===
zsh-beta (4.3.12-dev-1+20110925-1ubuntu1) precise; urgency=low

  * Manual merge from debian testing. (due to MoM not being updated).
    Remaining changes:
    - Add "add-shell /bin/zsh" because zsh-beta is already registered
      as an alternative to zsh, and this is needed to be able to have
      zsh-beta as the only installed zsh.
    - Don't set PATH in zshenv any more.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 16 May 2011 20:28:06 +0530

zsh-beta (4.3.12-dev-1+20110925-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <clint@debian.org>  Mon, 10 Oct 2011 22:50:54 -0400

zsh-beta (4.3.12-dev-1+20110922-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <clint@debian.org>  Fri, 23 Sep 2011 23:44:37 -0400

zsh-beta (4.3.12-dev-1+20110830-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <clint@debian.org>  Mon, 05 Sep 2011 12:57:19 -0400

zsh-beta (4.3.12-dev-1+20110820-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <clint@debian.org>  Thu, 25 Aug 2011 21:57:22 -0400

zsh-beta (4.3.12-dev-1+20110729-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <clint@debian.org>  Tue, 02 Aug 2011 17:58:47 -0400

zsh-beta (4.3.12-dev-1+20110704-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <clint@debian.org>  Fri, 08 Jul 2011 10:27:18 -0400

zsh-beta (4.3.12-dev-1+20110623-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <clint@debian.org>  Thu, 23 Jun 2011 22:18:03 -0400

zsh-beta (4.3.12-dev-0+20110608-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <clint@debian.org>  Thu, 09 Jun 2011 21:19:27 -0400

zsh-beta (4.3.12-dev-0+20110604-1) unstable; urgency=medium

  * Update to HEAD.

 -- Clint Adams <clint@debian.org>  Sun, 05 Jun 2011 01:18:30 -0400

zsh-beta (4.3.11-dev-4+20110529-1) unstable; urgency=low

  * Update to HEAD.
  * Bump to Standards-Version 3.9.2.

 -- Clint Adams <clint@debian.org>  Mon, 30 May 2011 10:37:38 -0400

zsh-beta (4.3.11-dev-2+20110517-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <clint@debian.org>  Tue, 17 May 2011 15:20:45 -0400
