## zsh-beta 4.3.14-dev-0+20111210

=== debian/changelog ===
zsh-beta (4.3.14-dev-0+20111210-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <clint@debian.org>  Sat, 10 Dec 2011 19:40:06 -0500
