## zsh-beta 4.3.15-dev-0+20111220

=== debian/changelog ===
zsh-beta (4.3.15-dev-0+20111220-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <clint@debian.org>  Tue, 20 Dec 2011 22:03:18 -0500
