## zsh-beta 4.3.15-dev-0+20120108

=== debian/changelog ===
zsh-beta (4.3.15-dev-0+20120108-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <clint@debian.org>  Sun, 08 Jan 2012 17:21:40 -0500
