## zsh-beta 4.3.17-dev-0+20120621

=== debian/changelog ===
zsh-beta (4.3.17-dev-0+20120621-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <clint@debian.org>  Sun, 24 Jun 2012 16:46:29 -0400

zsh-beta (4.3.17-dev-0+20120615-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <clint@debian.org>  Sat, 16 Jun 2012 16:09:45 -0400

zsh-beta (4.3.17-dev-0+20120604-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <clint@debian.org>  Mon, 04 Jun 2012 23:45:10 -0400

zsh-beta (4.3.17-dev-0+20120523-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <clint@debian.org>  Thu, 24 May 2012 20:06:09 -0400

zsh-beta (4.3.17-dev-0+20120305-1) unstable; urgency=low

  * Update to HEAD.

 -- Clint Adams <clint@debian.org>  Mon, 05 Mar 2012 11:14:28 -0500
