=== debian/control ===
--- 
+++ 
@@ -2,9 +2,8 @@
 Section: shells
 Priority: optional
 Build-Depends: yodl, texinfo, groff-base, bsdmainutils, libncursesw5-dev, texi2html (>= 1.76-2), libcap-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386], libpcre3-dev, libgdbm-dev
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Clint Adams <clint@debian.org>
-Standards-Version: 3.9.1
+Maintainer: Clint Adams <clint@debian.org>
+Standards-Version: 3.9.2
 
 Package: zsh-beta
 Architecture: any
