=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,10 @@
 snapshot_date := $(shell dpkg-parsechangelog | sed -n '/^Version: [0-9.][0-9.]*.*+20[0-9][0-9]\([0-9][0-9][0-9][0-9]\)-[0-9][0-9]*$$/ {s//\1/;p}')
 endif
 
-CFLAGS = -Wall -g
+CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
+CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
+
 ifeq (zsh-beta,$(package))
 CFLAGS += -W
 endif
@@ -39,17 +42,14 @@
 CONFIGFLAGS += --enable-zsh-debug --enable-zsh-mem-debug --enable-zsh-mem-warning --enable-zsh-secure-free --enable-zsh-hash-debug
 endif
 
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
-CFLAGS += -O0
-else
-CFLAGS += -O2
-endif
-
 ifeq (zsh-beta,$(package))
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 INSTALL_PROGRAM += -s
 endif
 endif
+
+build-arch: build
+build-indep: build
 
 build: stamp-configure
 	$(checkdir)
@@ -211,6 +211,3 @@
 	ln -s zsh.1.gz debian/tmp/usr/share/man/man1/zsh4.1.gz
 
 	for i in `find debian/tmp/usr/lib/zsh -type d | sed 's#^debian/tmp/##'`; \
-		do mkdir -p debian/tmp-dbg/usr/lib/debug/"$$i"; done
-
-	objcopy --only-keep-debug debian/tmp/bin/zsh4 \
